Name: H5Zunregister
Signature:
  herr_t `H5Zunregister`(H5Z_filter_t `filter`)
Purpose:
  Unregisters a filter.
Description:
  `H5Zunregister` unregisters the filter specified in `filter`.

  After a call to `H5Zunregister`, the filter specified in `filter` will no longer be available to the application.

Parameters:

H5Z_filter_t `filter` | IN: Identifier of the filter to be unregistered. See the introduction to this section of the reference manual for a list of identifiers for standard filters distributed with the HDF5 Library.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5zunregister_f

      SUBROUTINE h5zunregister_f(filter, hdferr)
        IMPLICIT NONE
        INTEGER, INTENT(IN)  :: filter  ! Filter; one of the possible values:
                                        !    H5Z_FILTER_DEFLATE_F
                                        !    H5Z_FILTER_SHUFFLE_F
                                        !    H5Z_FILTER_FLETCHER32_F
                                        !    H5Z_FILTER_SZIP_F
        INTEGER, INTENT(OUT) :: hdferr  ! Error code
                                        ! 0 on success, and -1 on failure
      END SUBROUTINE h5zunregister_f

History:

Release | C
1.6.0 | Function introduced in this release.